Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class SecretSubkeyPacket

    java.lang.Object
      org.bouncycastle.bcpg.Packet
          org.bouncycastle.bcpg.ContainedPacket
              org.bouncycastle.bcpg.SecretKeyPacket
                  org.bouncycastle.bcpg.SecretSubkeyPacket

All Implemented Interfaces:
  PacketTags, PublicKeyAlgorithmTags

    public class SecretSubkeyPacket

extends SecretKeyPacket

basic packet for a PGP secret key

Field Summary

Fields inherited from class org.bouncycastle.bcpg.SecretKeyPacket
`USAGE_CHECKSUM, USAGE_NONE, USAGE_SHA1`

Fields inherited from interface org.bouncycastle.bcpg.PublicKeyAlgorithmTags
`DIFFIE_HELLMAN, DSA, EC, ECDSA, ELGAMAL_ENCRYPT, ELGAMAL_GENERAL, EXPERIMENTAL_1, EXPERIMENTAL_10, EXPERIMENTAL_11, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, EXPERIMENTAL_5, EXPERIMENTAL_6, EXPERIMENTAL_7, EXPERIMENTAL_8, EXPERIMENTAL_9, RSA_ENCRYPT, RSA_GENERAL, RSA_SIGN`

Fields inherited from interface org.bouncycastle.bcpg.PacketTags
`COMPRESSED_DATA, EXPERIMENTAL_1, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

Constructor Summary
`SecretSubkeyPacket(PublicKeyPacket pubKeyPacket, int encAlgorithm, int s2kUsage, S2K s2k, byte[] iv, byte[] secKeyData)`
`SecretSubkeyPacket(PublicKeyPacket pubKeyPacket, int encAlgorithm, S2K s2k, byte[] iv, byte[] secKeyData)`

Method Summary
`void` | `encode(BCPGOutputStream out)`

Methods inherited from class org.bouncycastle.bcpg.SecretKeyPacket
`getEncAlgorithm, getEncodedContents, getIV, getPublicKeyPacket, getS2K, getS2KUsage, getSecretKeyData`

Methods inherited from class org.bouncycastle.bcpg.ContainedPacket
`getEncoded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecretSubkeyPacket

    public SecretSubkeyPacket(PublicKeyPacket pubKeyPacket,
                              int encAlgorithm,
                              S2K s2k,
                              byte[] iv,
                              byte[] secKeyData)

Parameters:
  `pubKeyPacket` -
  `encAlgorithm` -
  `s2k` -
  `iv` -
  `secKeyData` -

### SecretSubkeyPacket

    public SecretSubkeyPacket(PublicKeyPacket pubKeyPacket,
                              int encAlgorithm,
                              int s2kUsage,
                              S2K s2k,
                              byte[] iv,
                              byte[] secKeyData)

Method Detail

### encode

    public void encode(BCPGOutputStream out)
                throws java.io.IOException

  Overrides:
    `encode` in class `SecretKeyPacket`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD